"""Setup configuration for pt_dev_utils package.

This package provides utility functions for PT backend developers
using Python 3.9+.
"""

from setuptools import setup, find_packages

setup(
    name="pt_dev_utils",
    version="1.1.8",
    author="Smit Jethwa",
    author_email="smitjethwa20@gmail.com",
    description="Internal utility package for PT backend developers",
    long_description=open("README.md", encoding="utf-8").read(),
    long_description_content_type="text/markdown",
    packages=find_packages(),
    include_package_data=True,
    classifiers=[
        "Programming Language :: Python :: 3.8",
        "Programming Language :: Python :: 3.9",
        "Programming Language :: Python :: 3.10",
        "Programming Language :: Python :: 3.11",
        "Intended Audience :: Developers",
        "Operating System :: OS Independent",
        "Topic :: Software Development :: Libraries :: Python Modules",
        "License :: Other/Proprietary License",
    ],
    python_requires=">=3.8",
    install_requires=[
        "requests>=2.25.0",
        "pandas>=1.3.0",
        "python-dateutil>=2.8.0",
    ],
    project_urls={
        'Documentation': 'https://pt-dev-utils.web.app/',
        'Source': 'https://github.com/smitjethwa/pt_dev_utility',
    },
)
